package com.palidinodh.osrsscript.map.area.fremennikprovince.waterbirth.handler.npcspawn;

import java.util.ArrayList;
import java.util.List;
import com.palidinodh.osrscore.io.cache.id.NpcId;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawn;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawnHandler;
import com.palidinodh.osrscore.model.tile.Tile;
import lombok.var;

class WaterbirthDungeonNpcSpawns implements NpcSpawnHandler {
  @Override
  public List<NpcSpawn> getSpawns() {
    var spawns = new ArrayList<NpcSpawn>();

    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2452, 10147), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2456, 10156), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2451, 10163), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2461, 10163), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2465, 10156), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2469, 10161), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2473, 10154), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2482, 10155), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2486, 10162), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2486, 10146), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2478, 10149), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2475, 10141), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2487, 10136), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2486, 10127), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2473, 10129), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2464, 10128), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2456, 10131), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2468, 10135), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2458, 10139), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2445, 10156), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_90, new Tile(2446, 10138), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2499, 10163), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2505, 10160), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2506, 10166), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2510, 10162), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2516, 10161), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2521, 10165), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2522, 10159), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2527, 10163), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2533, 10160), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2536, 10165), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2541, 10161), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2546, 10165), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2546, 10156), 4));
    spawns.add(new NpcSpawn(NpcId.GIANT_ROCK_CRAB_137_5940, new Tile(2548, 10151), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2498, 10145), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2499, 10149), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2502, 10143), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2505, 10148), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2509, 10145), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2506, 10142), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2513, 10149), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2514, 10142), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2518, 10146), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2522, 10149), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2523, 10142), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2528, 10143), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2531, 10146), 4));
    spawns.add(new NpcSpawn(NpcId.WALLASALKI_98, new Tile(2532, 10140), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2496, 10129), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2499, 10125), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2502, 10128), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2506, 10125), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2508, 10129), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2512, 10124), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2515, 10127), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2519, 10129), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2519, 10122), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2525, 10121), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2524, 10125), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2528, 10128), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2530, 10124), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2532, 10120), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2534, 10127), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2537, 10130), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2540, 10128), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_88, new Tile(2532, 10131), 4));
    spawns.add(new NpcSpawn(NpcId.DOOR_2252, new Tile(2545, 10141)));
    spawns.add(new NpcSpawn(NpcId.DOOR_2258, new Tile(2545, 10145)));
    spawns.add(new NpcSpawn(NpcId.DOOR_2255, new Tile(2543, 10143)));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2897, 4451), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2899, 4456), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2900, 4459), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2901, 4462), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2906, 4464), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2911, 4465), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2915, 4464), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2919, 4463), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2924, 4462), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2926, 4459), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2928, 4455), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2930, 4451), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2930, 4446), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2930, 4441), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2928, 4438), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2920, 4434), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2916, 4433), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2910, 4433), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2905, 4434), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2898, 4439), 1));
    spawns.add(new NpcSpawn(NpcId.SPINOLYP_76, new Tile(2897, 4443), 1));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_REX_303, new Tile(2920, 4441), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_PRIME_303, new Tile(2912, 4455), 4));
    spawns.add(new NpcSpawn(NpcId.DAGANNOTH_SUPREME_303, new Tile(2906, 4441), 4));

    return spawns;
  }
}
